# QMenu Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QMenu(QWidget parent)
- void QMenu(String title, QWidget parent)

### Constructor Properties

- prototype: The QMenu prototype object
- QAction exec(List actions, QPoint pos, QAction at)

### Prototype Object Properties

The QMenu prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QAction actionAt(QPoint arg__1)
- QRect actionGeometry(QAction arg__1)
- QAction activeAction()
- QAction addAction(QIcon icon, String text)
- QAction addMenu(QMenu menu)
- QAction addSeparator()
- void clear()
- QAction defaultAction()
- QAction exec()
- void hideTearOffMenu()
- QAction insertMenu(QAction before, QMenu menu)
- QAction insertSeparator(QAction before)
- bool isEmpty()
- bool isTearOffMenuVisible()
- QAction menuAction()
- void popup(QPoint pos, QAction at)
- void setActiveAction(QAction act)
- void setDefaultAction(QAction arg__1)
- QSize sizeHint()

### Instance Properties

QMenu objects inherit properties from the QMenu prototype object and also have the following properties.

- tearOffEnabled
- title
- icon
- separatorsCollapsible